Announcement Announcement Module
Collapse
No announcement yet.
STS & Grails Questions Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS & Grails Questions

    Hi,

    I was asked to do an evaluation of Eclipse's support for Grails by my group. I've installed version 2.2.1 of Spring Tool Suite and followed the "Grails - STS Integration" steps. I just have a few questions:

    1. Are there any specific system requirements for STS? Seems to be a lot slower than standard Eclipse. My PC's specs are T2500 2Ghz with 1G of RAM but still is very slow doing any operations e.g. switching workspace, creating Grails project etc.

    2. When is the next release planned for the Grails plugin? The support is quite basic at present so just wondering when there will be new features implemented.

    Thanks

  • #2
    Hi,

    1. Are there any specific system requirements for STS? Seems to be a lot slower than standard Eclipse. My PC's specs are T2500 2Ghz with 1G of RAM but still is very slow doing any operations e.g. switching workspace, creating Grails project etc.
    STS should really not be slower then a plain Eclipse JEE 3.5.1 package. Did you compare to a 3.5.1 version of Eclipse?

    On the other hand, 1GB RAM does not quite meet the requirements of STS or Eclipse 3.5.1.

    2. When is the next release planned for the Grails plugin? The support is quite basic at present so just wondering when there will be new features implemented.
    We are going to release STS 2.3.0 with a new version of the Grails plugin in the next couple of days. That will have some new features. You can get some details at https://issuetracker.springsource.com/browse/STS-487.

    HTH

    Christian

    Comment

    Working...
    X